unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, sMaskEdit, sLabel, sAlphaListBox, sButton, main,
  sSkinProvider, sSkinManager, ToolWin, ComCtrls, sToolBar, sStatusBar;

type
  TForm3 = class(TForm)
    sButton1: TsButton;
    sListBox1: TsListBox;
    sLabel1: TsLabel;
    sMaskEdit1: TsMaskEdit;
    sButton2: TsButton;
    sStatusBar1: TsStatusBar;
    sToolBar1: TsToolBar;
    sButton3: TsButton;
    procedure sButton1Click(Sender: TObject);
    procedure sButton2Click(Sender: TObject);
    procedure sButton3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.sButton1Click(Sender: TObject);
var
s:string;
f:textfile;
begin
if sMaskEdit1.Text<>'12345' then exit;
//sListBox1.Items.LoadFromFile(extractfilepath(paramstr(0))+'log.txt');
sListBox1.Clear;
assignfile(f,extractfilepath(paramstr(0))+'log.txt');
reset(f);
repeat
readln(f,s);
encrypt(s);
sListBox1.Items.Add(s);
until eof(f);
closefile(f);


end;

procedure TForm3.sButton2Click(Sender: TObject);
begin
ModalResult:=mrOk;
end;

procedure TForm3.sButton3Click(Sender: TObject);
var i:integer;
begin
for i:=1 to sListBox1.Items.Count do sListBox1.Clear;
end;

end.
